=== debian/changelog ===
ros-humble-rclpy (3.3.9-1jammy) jammy; urgency=high

  * ServerGoalHandle should be destroyed before removing. (#1113 <https://github.com/ros2/rclpy/issues/1113>) (#1120 <https://github.com/ros2/rclpy/issues/1120>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rclpy (3.3.8-1jammy) jammy; urgency=high

  * Deal with ParameterUninitializedException for parameter service (backport #1033 <https://github.com/ros2/rclpy/issues/1033>) (#1041 <https://github.com/ros2/rclpy/issues/1041>)
  * Fix #983 <https://github.com/ros2/rclpy/issues/983> by saving future and checking for + raising any exceptions (#1073 <https://github.com/ros2/rclpy/issues/1073>) (#1088 <https://github.com/ros2/rclpy/issues/1088>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rclpy (3.3.7-1jammy) jammy; urgency=high

  * Fix test_publisher linter for pydocstyle 6.2.2 (backport #1063 <https://github.com/ros2/rclpy/issues/1063>) (#1066 <https://github.com/ros2/rclpy/issues/1066>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 13 Jan 2023 00:00:00 -0000

ros-humble-rclpy (3.3.6-1jammy) jammy; urgency=high

  * decorator should not be callable. (#1050 <https://github.com/ros2/rclpy/issues/1050>) (#1051 <https://github.com/ros2/rclpy/issues/1051>)
  * Add parallel callback test (#1044 <https://github.com/ros2/rclpy/issues/1044>) (#1052 <https://github.com/ros2/rclpy/issues/1052>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rclpy (3.3.5-1jammy) jammy; urgency=high

  * Waitable should check callback_group if it can be executed. (#1001 <https://github.com/ros2/rclpy/issues/1001>) (#1013 <https://github.com/ros2/rclpy/issues/1013>)
  * Revert "Raise user handler exception in MultiThreadedExecutor. (#984 <https://github.com/ros2/rclpy/issues/984>)" (#1017 <https://github.com/ros2/rclpy/issues/1017>) (#1023 <https://github.com/ros2/rclpy/issues/1023>)
  * support wildcard matching for params file (#987 <https://github.com/ros2/rclpy/issues/987>) (#1002 <https://github.com/ros2/rclpy/issues/1002>)
  * Raise user handler exception in MultiThreadedExecutor. (#984 <https://github.com/ros2/rclpy/issues/984>) (#990 <https://github.com/ros2/rclpy/issues/990>)
  * fix gcc 7.5 build errors (#977 <https://github.com/ros2/rclpy/issues/977>) (#980 <https://github.com/ros2/rclpy/issues/980>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rclpy (3.3.4-1jammy) jammy; urgency=high

  * check if the context is already shutdown. (#939 <https://github.com/ros2/rclpy/issues/939>) (#943 <https://github.com/ros2/rclpy/issues/943>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 17 May 2022 00:00:00 -0000

ros-humble-rclpy (3.3.3-1jammy) jammy; urgency=high

  * remove feedback callback when the goal has been completed. (#927 <https://github.com/ros2/rclpy/issues/927>) (#931 <https://github.com/ros2/rclpy/issues/931>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-humble-rclpy (3.3.2-1jammy) jammy; urgency=high

  * Make rclpy dependencies explicit (#906 <https://github.com/ros2/rclpy/issues/906>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rclpy (3.3.1-1jammy) jammy; urgency=high

  * Avoid exception in Node constructor when use override for 'use_sim_time' (#896 <https://github.com/ros2/rclpy/issues/896>)
  * time_until_next_call returns max if timer is canceled. (#910 <https://github.com/ros2/rclpy/issues/910>)
  * Contributors: Artem Shumov, Ivan Santiago Paunovic, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-humble-rclpy (3.3.0-1jammy) jammy; urgency=high

  * Properly implement action server/client handle cleanup. (#905 <https://github.com/ros2/rclpy/issues/905>)
  * Make sure to take out contexts on Action{Client,Server}. (#904 <https://github.com/ros2/rclpy/issues/904>)
  * Make sure to free the goal_status_array when done using it. (#902 <https://github.com/ros2/rclpy/issues/902>)
  * Bugfix to Node.destroy_rate() result (#901 <https://github.com/ros2/rclpy/issues/901>)
  * Remove fastrtps customization on tests (#895 <https://github.com/ros2/rclpy/issues/895>)
  * fix typo (#890 <https://github.com/ros2/rclpy/issues/890>)
  * Document that Future.result() may return None (#884 <https://github.com/ros2/rclpy/issues/884>)
  * update doc release number (#885 <https://github.com/ros2/rclpy/issues/885>)
  * Contributors: Anthony, Auguste Lalande, Chris Lalancette, Erki Suurjaak, Jacob Perron, Miguel Company

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rclpy (3.2.1-1jammy) jammy; urgency=high

  * Fix multi-threaded race condition in client.call_async (#871 <https://github.com/ros2/rclpy/issues/871>)
  * Fix include order for cpplint (#877 <https://github.com/ros2/rclpy/issues/877>)
  * Bugfix/duration to msg precision (#876 <https://github.com/ros2/rclpy/issues/876>)
  * Update to pybind11 2.7.1 (#874 <https://github.com/ros2/rclpy/issues/874>)
  * QoS history depth is only available with KEEP_LAST (#869 <https://github.com/ros2/rclpy/issues/869>)
  * Contributors: Auguste Lalande, Chris Lalancette, Erki Suurjaak, Jacob Perron, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rclpy (3.2.0-1jammy) jammy; urgency=high

  * Implement managed nodes. (#865 <https://github.com/ros2/rclpy/issues/865>)
  * Make rclpy.try_shutdown() behavior to follow rclpy.shutdown() more closely. (#868 <https://github.com/ros2/rclpy/issues/868>)

