## ros-humble-rclpy 3.3.13

=== debian/changelog ===
ros-humble-rclpy (3.3.13-1bookworm) bookworm; urgency=high

  * update RCL_RET_TIMEOUT error handling with action service response. (#1258 <https://github.com/ros2/rclpy/issues/1258>) (#1276 <https://github.com/ros2/rclpy/issues/1276>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rclpy (3.3.12-1bookworm) bookworm; urgency=high

  * Don't crash the action server if the client goes away. (#1114 <https://github.com/ros2/rclpy/issues/1114>) (#1218 <https://github.com/ros2/rclpy/issues/1218>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rclpy (3.3.11-1bookworm) bookworm; urgency=high

  * Use timeout object to avoid callback losing in wait_for_ready_callbacks (backport #1165 <https://github.com/ros2/rclpy/issues/1165>) (#1185 <https://github.com/ros2/rclpy/issues/1185>)
  * unregister_sigterm_signal_handler should be called. (#1170 <https://github.com/ros2/rclpy/issues/1170>) (#1176 <https://github.com/ros2/rclpy/issues/1176>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rclpy (3.3.10-1bookworm) bookworm; urgency=high

  * Avoid generating the exception when rcl_send_response times out. (#1136 <https://github.com/ros2/rclpy/issues/1136>) (#1152 <https://github.com/ros2/rclpy/issues/1152>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rclpy (3.3.9-1bookworm) bookworm; urgency=high

  * ServerGoalHandle should be destroyed before removing. (#1113 <https://github.com/ros2/rclpy/issues/1113>) (#1120 <https://github.com/ros2/rclpy/issues/1120>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rclpy (3.3.8-1bookworm) bookworm; urgency=high

  * Deal with ParameterUninitializedException for parameter service (backport #1033 <https://github.com/ros2/rclpy/issues/1033>) (#1041 <https://github.com/ros2/rclpy/issues/1041>)
  * Fix #983 <https://github.com/ros2/rclpy/issues/983> by saving future and checking for + raising any exceptions (#1073 <https://github.com/ros2/rclpy/issues/1073>) (#1088 <https://github.com/ros2/rclpy/issues/1088>)
  * Contributors: Tomoya Fujita, mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rclpy (3.3.7-1bookworm) bookworm; urgency=high

  * Fix test_publisher linter for pydocstyle 6.2.2 (backport #1063 <https://github.com/ros2/rclpy/issues/1063>) (#1066 <https://github.com/ros2/rclpy/issues/1066>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 12 Jan 2023 16:00:00 -0000

ros-humble-rclpy (3.3.6-1bookworm) bookworm; urgency=high

  * decorator should not be callable. (#1050 <https://github.com/ros2/rclpy/issues/1050>) (#1051 <https://github.com/ros2/rclpy/issues/1051>)
  * Add parallel callback test (#1044 <https://github.com/ros2/rclpy/issues/1044>) (#1052 <https://github.com/ros2/rclpy/issues/1052>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rclpy (3.3.5-1bookworm) bookworm; urgency=high

  * Waitable should check callback_group if it can be executed. (#1001 <https://github.com/ros2/rclpy/issues/1001>) (#1013 <https://github.com/ros2/rclpy/issues/1013>)
  * Revert "Raise user handler exception in MultiThreadedExecutor. (#984 <https://github.com/ros2/rclpy/issues/984>)" (#1017 <https://github.com/ros2/rclpy/issues/1017>) (#1023 <https://github.com/ros2/rclpy/issues/1023>)
  * support wildcard matching for params file (#987 <https://github.com/ros2/rclpy/issues/987>) (#1002 <https://github.com/ros2/rclpy/issues/1002>)
  * Raise user handler exception in MultiThreadedExecutor. (#984 <https://github.com/ros2/rclpy/issues/984>) (#990 <https://github.com/ros2/rclpy/issues/990>)
  * fix gcc 7.5 build errors (#977 <https://github.com/ros2/rclpy/issues/977>) (#980 <https://github.com/ros2/rclpy/issues/980>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rclpy (3.3.4-1bookworm) bookworm; urgency=high

  * check if the context is already shutdown. (#939 <https://github.com/ros2/rclpy/issues/939>) (#943 <https://github.com/ros2/rclpy/issues/943>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 16 May 2022 16:00:00 -0000

ros-humble-rclpy (3.3.3-1bookworm) bookworm; urgency=high

  * remove feedback callback when the goal has been completed. (#927 <https://github.com/ros2/rclpy/issues/927>) (#931 <https://github.com/ros2/rclpy/issues/931>)
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rclpy (3.3.2-1bookworm) bookworm; urgency=high

  * Make rclpy dependencies explicit (#906 <https://github.com/ros2/rclpy/issues/906>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rclpy (3.3.1-1bookworm) bookworm; urgency=high

  * Avoid exception in Node constructor when use override for 'use_sim_time' (#896 <https://github.com/ros2/rclpy/issues/896>)
  * time_until_next_call returns max if timer is canceled. (#910 <https://github.com/ros2/rclpy/issues/910>)
  * Contributors: Artem Shumov, Ivan Santiago Paunovic, Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rclpy (3.3.0-1bookworm) bookworm; urgency=high

  * Properly implement action server/client handle cleanup. (#905 <https://github.com/ros2/rclpy/issues/905>)
  * Make sure to take out contexts on Action{Client,Server}. (#904 <https://github.com/ros2/rclpy/issues/904>)
  * Make sure to free the goal_status_array when done using it. (#902 <https://github.com/ros2/rclpy/issues/902>)

