## ros-humble-rclpy 3.3.14

=== debian/changelog ===
ros-humble-rclpy (3.3.14-1bookworm) bookworm; urgency=high

  * Fix a bad bug in fetching the lifecycle transitions. (#1321 <https://github.com/ros2/rclpy/issues/1321>) (#1324 <https://github.com/ros2/rclpy/issues/1324>)
  * add missing Optionals to function declarations (#1306 <https://github.com/ros2/rclpy/issues/1306>)
  * Support wait for message backport humble (#1272 <https://github.com/ros2/rclpy/issues/1272>)
  * [Humble] Fix AttributeError _logger in Action Server (#1299 <https://github.com/ros2/rclpy/issues/1299>)
  * Fix incorrect comparsion on whether parameter type is NOT_SET (#1032 <https://github.com/ros2/rclpy/issues/1032>) (#1283 <https://github.com/ros2/rclpy/issues/1283>)
  * Contributors: Shane Loretz, Tomoya Fujita, alberthli, mergify[bot], xueying

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000
